API documentation | API docs for agents | OpenAPI 3.1

POST /api/v1/billing/invoice-remit-profiles

ark.create_invoice_remit_profile

Creates an organization invoice remit profile. Factoring and send-to-remit profiles require remitEmail.

Availability
Expanded preview
Scopes
billing:write
ARK permissions
canViewBillingcanMakeAdjustments
Team visibility
Not entity-scoped
Idempotency-Key
Required for this write
Approval
No MCP approval on REST API-token calls
Rate limit
API credential and organization budgets

Parameters

Idempotency-Keyheaderstringrequired
Required for external write operations. Reuse the same key only for exact retries of the same request body.
min length: 1; max length: 200

Request body

typestringrequired

one of: standard, factoring, subsidiary, other

namestringrequired

min length: 1; max length: 200

remitEmailstring | null

format: email; max length: 500

invoiceInstructionsstring | null

max length: 5000

sendToRemitEmailboolean
setAsDefaultboolean

default: false

Example request

Shell
curl -X POST 'https://arktms.com/api/v1/billing/invoice-remit-profiles' \
  -H "Authorization: Bearer $ARK_API_TOKEN" \
  -H "Idempotency-Key: <unique-key>" \
  -H "Content-Type: application/json" \
  -d '{
  "type": "standard",
  "name": "<name>"
}'

Success response

Created invoice remit profile

objectstringrequired
okbooleanrequired
api_versionstringrequired
request_idstringrequired
dataobjectrequired
data.defaultProfileIdstring | nullrequired

format: uuid

Errors

HTTP 400
Invalid request
HTTP 401
Authentication required
HTTP 403
Permission, scope, team, or entitlement denied
HTTP 409
Idempotency conflict or in-progress retry